USE [SpeechAnalyticMauro]
GO
/****** Object:  StoredProcedure [dbo].[UpdateEvaluationPlansExpired]    Script Date: 3/24/2023 10:42:10 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE   PROCEDURE [dbo].[GetEvaluationPlansExpired] (
@CurrentDate            DATETIME = NULL
)
AS
BEGIN
	SET NOCOUNT ON	 
    
	SELECT
			e.[ID]									'id',
			e.[Modality]							'modality',
			e.[DateFin]								'dateFin',
			e.CreatedDate							'createdDate',
			e.CreatedByUserId						'createdByUserId',
			e.LastModifiedDate						'lastModifiedDate',
			e.LastModifiedByUserId					'lastModifiedByUserId',
			e.Description							'description',
			e.IdEvaluationFormat					'idEvaluationFormat',
			e.Enabled								'enabled',
			e.Status								'status',
			e.Evaluation_Mode						'evaluation_mode',
			e.processId    							'processId'
		FROM EvaluationPlan e (NOLOCK)
		WHERE [DateFin] < CAST(@CurrentDate AS DATE)

	SET NOCOUNT OFF
END
